<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 

//==============================================================================
// G5 상수 선언을 G4S에 그대로 적용
//------------------------------------------------------------------------------

//G5 Define 선언
define('G5_PATH', G4_PATH);
define('G5_URL', G4_URL);
define('G5_DOMAIN', G4_DOMAIN);
define('G5_HTTPS_DOMAIN', G4_HTTPS_DOMAIN);
define('G5_COOKIE_DOMAIN', G4_COOKIE_DOMAIN);
define('G5_DBCONFIG_FILE', G4_DBCONFIG_FILE);

define('G5_ADMIN_DIR', G4_ADMIN_DIR);
define('G5_BBS_DIR', G4_BBS_DIR);
define('G5_CSS_DIR', G4_CSS_DIR);
define('G5_DATA_DIR', G4_DATA_DIR);
define('G5_EXTEND_DIR', G4_EXTEND_DIR);
define('G5_IMG_DIR', G4_IMG_DIR);
define('G5_JS_DIR', G4_JS_DIR);
define('G5_LIB_DIR', G4_LIB_DIR);
define('G5_PLUGIN_DIR', G4_PLUGIN_DIR);
define('G5_SKIN_DIR', G4_SKIN_DIR);
define('G5_CAPTCHA_DIR', G4_GCAPTCHA_DIR);
define('G5_EDITOR_DIR', G4_EDITOR_DIR);
define('G5_MOBILE_DIR', G4_MOBILE_DIR);
define('G5_OKNAME_DIR', G4_OKNAME_DIR);
define('G5_KCPCERT_DIR', G4_KCPCERT_DIR);
define('G5_SNS_DIR', G4_SNS_DIR);
define('G5_SYNDI_DIR', G4_SYNDI_DIR);
define('G5_PHPMAILER_DIR', G4_PHPMAILER_DIR);

define('G5_ADMIN_URL', G4_ADMIN_URL);
define('G5_BBS_URL', G4_BBS_URL);
define('G5_CSS_URL', G4_CSS_URL);
define('G5_DATA_URL', G4_DATA_URL);
define('G5_IMG_URL',  G4_IMG_URL);
define('G5_JS_URL', G4_JS_URL);
define('G5_SKIN_URL', G4_SKIN_URL);
define('G5_PLUGIN_URL', G4_PLUGIN_URL);
define('G5_CAPTCHA_URL', G4_GCAPTCHA_URL);
define('G5_EDITOR_URL', G4_EDITOR_URL);
define('G5_OKNAME_URL', G4_OKNAME_URL);
define('G5_KCPCERT_URL', G4_KCPCERT_URL);
define('G5_SNS_URL', G4_SNS_URL);
define('G5_SYNDI_URL', G4_SYNDI_URL);
define('G5_MOBILE_URL', G4_MOBILE_URL);

// PATH 는 서버상에서의 절대경로
define('G5_ADMIN_PATH', G4_ADMIN_PATH);
define('G5_BBS_PATH', G4_BBS_PATH);
define('G5_DATA_PATH', G4_DATA_PATH);
define('G5_EXTEND_PATH', G4_EXTEND_PATH);
define('G5_LIB_PATH', G4_LIB_PATH);
define('G5_PLUGIN_PATH', G4_PLUGIN_PATH);
define('G5_SKIN_PATH', G4_SKIN_PATH);
define('G5_CAPTCHA_PATH', G4_GCAPTCHA_PATH);
define('G5_EDITOR_PATH', G4_EDITOR_PATH);
define('G5_OKNAME_PATH', G4_OKNAME_PATH);
define('G5_KCPCERT_PATH', G4_KCPCERT_PATH);
define('G5_SNS_PATH', G4_SNS_PATH);
define('G5_SYNDI_PATH', G4_SYNDI_PATH);
define('G5_MOBILE_PATH', G4_MOBILE_PATH);
define('G5_PHPMAILER_PATH', G4_PHPMAILER_PATH);
//==============================================================================

define('G5_USE_CACHE', G4_USE_CACHE); // 최신글등에 cache 기능 사용 여부
define('G5_SERVER_TIME', G4_SERVER_TIME);
define('G5_TIME_YMDHIS', G4_TIME_YMDHIS);
define('G5_TIME_YMD', G4_TIME_YMD);
define('G5_TIME_HIS', G4_TIME_HIS);

define('G5_ALPHAUPPER', G4_ALPHAUPPER); // 영대문자
define('G5_ALPHALOWER', G4_ALPHALOWER); // 영소문자
define('G5_ALPHABETIC', G4_ALPHABETIC); // 영대,소문자
define('G5_NUMERIC', G4_NUMERIC); // 숫자
define('G5_HANGUL', G4_HANGUL); // 한글
define('G5_SPACE', G4_SPACE); // 공백
define('G5_SPECIAL', G4_SPECIAL); // 특수문자

// 퍼미션 
define('G5_DIR_PERMISSION', G4_DIR_PERMISSION); // 디렉토리 생성시 퍼미션
define('G5_FILE_PERMISSION', G4_FILE_PERMISSION); // 파일 생성시 퍼미션

define('G5_MOBILE_AGENT', G4_MOBILE_AGENT);
define('G5_LINK_COUNT', G4_LINK_COUNT);

// SMTP
// lib/mailer.lib.php 에서 사용
define('G5_SMTP', '127.0.0.1');

// SQL
define('G5_MYSQL_HOST', G4_MYSQL_HOST);
define('G5_MYSQL_USER', G4_MYSQL_USER);
define('G5_MYSQL_PASSWORD', G4_MYSQL_PASSWORD);
define('G5_MYSQL_DB', G4_MYSQL_DB);
define('G5_TABLE_PREFIX', G4_TABLE_PREFIX);

// Mobile
define('G5_IS_MOBILE', G4_IS_MOBILE);
if (G5_IS_MOBILE) {
	define('G5_MOBILE_DIR', G4_MOBILE_DIR);
	define('G5_MOBILE_URL', G4_MOBILE_URL);
	define('G5_MOBILE_PATH', G4_MOBILE_PATH);
}

$g4['path'] = G5_PATH;
$g4['url'] = G5_URL;
$g4['bbs'] = G5_BBS_DIR;
$g4['bbs_path'] = G5_BBS_PATH;
$g4['bbs_url'] = G5_BBS_URL;
$g4['img_url'] = G5_IMG_URL;
$g4['admin'] = G5_ADMIN_DIR;
$g4['admin_path'] = G5_ADMIN_PATH;
$g4['admin_url'] = G5_ADMIN_URL;
$g4['server_time'] = G5_SERVER_TIME;
$g4['time_ymd'] = G5_TIME_YMD;
$g4['time_his'] = G5_TIME_HIS;
$g4['time_ymdhis'] = G5_TIME_YMDHIS;
$g4['table_prefix'] = G5_TABLE_PREFIX;
$g4['cookie_domain'] = G5_COOKIE_DOMAIN;
$g4['link_count'] = G5_LINK_COUNT;
$g4['charset'] = 'utf-8';
$g4['token_time'] = 3;
$g4['https_url'] = G5_HTTPS_DOMAIN;
$g4['table_prefix'] = G5_TABLE_PREFIX;

?>